Loading...
Searching...
No Matches
Qore::AbstractPollableIoObjectBase Class Reference

Interface for builtin classes that support I/O polling. More...

`#include <QC_AbstractPollableIoObjectBase.dox.h>`

Inheritance diagram for Qore::AbstractPollableIoObjectBase:
[legend]

## Public Member Functions

| constructor ()
| Throws an exception; this class is not usable by Qore classes. More...
int | getPollableDescriptor ()
| Returns a pollable file / socket / I/O descriptor. More...
abstract int | getPollableDescriptor ()
| Returns a pollable file / socket / I/O descriptor. More...

## Detailed Description

Interface for builtin classes that support I/O polling.

This class is only usable by internal classes; it is not directly usable by Qore classes.

Since
  Qore 1.12

## Member Function Documentation

## constructor()

Qore::AbstractPollableIoObjectBase::constructor | ( |  | ) |

Throws an exception; this class is not usable by Qore classes.

Exceptions

  INTERNAL-ONLY | this class is not usable by Qore classes

## getPollableDescriptor()

int Qore::AbstractPollableIoObjectBase::getPollableDescriptor | ( |  | ) |

virtual

Returns a pollable file / socket / I/O descriptor.

Returns
  a pollable file / socket / I/O descriptor

Implements Qore::AbstractPollableIoObject.